org.apache.sysds.runtime.transform.encode

## Enum ColumnEncoder.EncoderType

- java.lang.Object
- - java.lang.Enum<ColumnEncoder.EncoderType>
  - - org.apache.sysds.runtime.transform.encode.ColumnEncoder.EncoderType

- All Implemented Interfaces:
    Serializable, Comparable<ColumnEncoder.EncoderType>
  Enclosing class:
    ColumnEncoder

      public static enum ColumnEncoder.EncoderType
      extends Enum<ColumnEncoder.EncoderType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Bin`
    `Composite`
    `Dummycode`
    `FeatureHash`
    `MVImpute`
    `Omit`
    `PassThrough`
    `Recode`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnEncoder.EncoderType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ColumnEncoder.EncoderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Recode

          public static final ColumnEncoder.EncoderType Recode

    - #### FeatureHash

          public static final ColumnEncoder.EncoderType FeatureHash

    - #### PassThrough

          public static final ColumnEncoder.EncoderType PassThrough

    - #### Bin

          public static final ColumnEncoder.EncoderType Bin

    - #### Dummycode

          public static final ColumnEncoder.EncoderType Dummycode

    - #### Omit

          public static final ColumnEncoder.EncoderType Omit

    - #### MVImpute

          public static final ColumnEncoder.EncoderType MVImpute

    - #### Composite

          public static final ColumnEncoder.EncoderType Composite

  - ### Method Detail

    - #### values

          public static ColumnEncoder.EncoderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColumnEncoder.EncoderType c : ColumnEncoder.EncoderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColumnEncoder.EncoderType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 The Apache Software Foundation. All rights reserved.